Copyright © 2020 Bytellect LLC. All Rights Reserved.


System Requirements for Online Training

These are the requirements your system needs to meet to have the best experience with our online training courses.

Web Browser

Our training platform currently supports the two most recent versions of each of the following browsers.

If you're not sure what browser you currently have, you can find out here.

Ideally, you should use the latest version of the browser with all available updates, for maximum compatibility and security. Find out how to update your supported browser using the appropriate link below.

Note that our training platform does not support any version of Internet Explorer.

System Configuration

For our online training courses to function well on your system, your system must have:

  • JavaScript enabled in your browser
  • A PDF viewer plugin enabled in your browser (troubleshooting)
  • Graphics and audio output capaility
  • A broadband Internet connection with a minimum speed of 5Mbps
  • TLS 1.2 supported by your browser